> ## Documentation Index
> Fetch the complete documentation index at: https://dify-6c0370d8-fix-template-upload-size-guidance.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 次の推奨質問を取得

> **対象アプリ**：Chatflow、Agent、チャットボット、レガシー Agent。

メッセージに対して提案されたフォローアップ質問を返します。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /messages/{message_id}/suggested
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
paths:
  /messages/{message_id}/suggested:
    get:
      tags:
        - チャットメッセージ
      summary: 次の推奨質問を取得
      description: |-
        **対象アプリ**：Chatflow、Agent、チャットボット、レガシー Agent。

        メッセージに対して提案されたフォローアップ質問を返します。
      operationId: getBasicChatSuggestedQuestionsJa
      parameters:
        - description: >-
            推奨質問を取得するメッセージの ID です。チャットのレスポンス、または
            [会話履歴メッセージ一覧を取得](/ja/api-reference/conversations/list-conversation-messages)
            から取得します。
          in: path
          name: message_id
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            エンドユーザーの識別子。アプリ側で定義し、アプリ内で一意にします。[エンドユーザーの識別](/ja/api-reference/guides/end-user-identity)
            を参照してください。
          in: query
          name: user
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                suggestedQuestions:
                  summary: レスポンス例
                  value:
                    data:
                      - What colors does the iPhone 13 Pro Max come in?
                      - How does the battery compare to iPhone 12?
                      - What is the price range?
                    result: success
              schema:
                $ref: '#/components/schemas/SuggestedQuestionsResponse'
          description: 提案された質問の取得に成功しました。
        '400':
          content:
            application/json:
              examples:
                bad_request:
                  summary: bad_request
                  value:
                    code: bad_request
                    message: Suggested Questions Is Disabled.
                    status: 400
                not_chat_app:
                  summary: not_chat_app
                  value:
                    code: not_chat_app
                    message: Please check if your app mode matches the right API route.
                    status: 400
          description: |-
            - `not_chat_app` : アプリモードが API ルートと一致しません。
            - `bad_request` : 推奨質問機能が無効です。
        '404':
          content:
            application/json:
              examples:
                message_not_exists:
                  summary: not_found
                  value:
                    code: not_found
                    message: Message Not Exists.
                    status: 404
          description: '`not_found` : メッセージが存在しません。'
        '500':
          content:
            application/json:
              examples:
                internal_server_error:
                  summary: internal_server_error
                  value:
                    code: internal_server_error
                    message: >-
                      The server encountered an internal error and was unable to
                      complete your request. Either the server is overloaded or
                      there is an error in the application.
                    status: 500
          description: '`internal_server_error` : 内部サーバーエラー。'
components:
  schemas:
    SuggestedQuestionsResponse:
      properties:
        data:
          description: 提案された質問のリストです。
          items:
            type: string
          type: array
        result:
          description: 結果ステータス。
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````